curl --request GET \
--url https://marketplace-api.fabric.inc/v1/brands/{brand_id}/connections/{id}/departments/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://marketplace-api.fabric.inc/v1/brands/{brand_id}/connections/{id}/departments/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://marketplace-api.fabric.inc/v1/brands/{brand_id}/connections/{id}/departments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 100,
"results": [
{
"id": 1418,
"retailer": {
"id": 1233,
"name": "fabric Merchant",
"code": "fabric-merchant",
"logo_url": "https://assets.revcascade.com/retailers/d8b42096-5e46-41e4-bde0-80c17d3d3a52",
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",
"joined_at": "2022-05-27T03:07:59.000Z",
"is_3pm": false,
"is_rcn_retailer": false,
"is_onboarded": true,
"platform": "fabric",
"requires_subscription": "disabled",
"brand_permit_creation_allowed": true,
"website": "https://www.fabric.inc",
"status": "active",
"indexing_template_id": null
},
"owner_user": {
"id": 1002,
"first_name": "Kyle",
"last_name": "Stainer",
"title": "Engineering",
"status": "active",
"type": "standard",
"photo_url": "https://images.revcascade.com/users/2c5346e8b01f40de8977d29ee038f995/photo.jpg",
"profile_photo": "https://images.revcascade.com/users/2c5346e8b01f40de8977d29ee038f995/photo.jpg",
"is_me": false
},
"manager_user": null,
"name": "fabric Merchant Apparel",
"code": "fabric-merchant-general",
"sample_template_url": "https://res.cloudinary.com/revcascade/raw/upload/v1658950690/sample-templates/ApparelBad.csv",
"description": null,
"template": {
"id": 3245,
"name": "fabric General Merchandise",
"code": "fabric-general-merchandise"
},
"brand_ruleset": {
"id": 36
},
"retailer_ruleset": {
"id": 37
},
"is_active": true
}
],
"next": "https://api.example.org/demo/{retailer_id}/?page=5",
"previous": "https://api.example.org/demo/{retailer_id}/?page=3"
}Get all proposal departments
A Proposal Department defines the product category for your proposal submission. Each retailer partner manages one or more Proposal Departments. You must select a Proposal Department before submitting a proposal to a partner.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique brand ID. In the Dropship UI this is called the Supplier ID. To find your Supplier ID, click your supplier name in the top nav.
The unique connection id. This ID is automatically generated when a connection is created.
Response
OK
The total number of records
100
Show child attributes
Show child attributes
Next page (applicable in a paginated response)
"https://api.example.org/demo/{retailer_id}/?page=5"
Previous page (applicable in a paginated response)
"https://api.example.org/demo/{retailer_id}/?page=3"
Was this page helpful?
